Subject: Re: GTK4 applications broken (missing libGLESv2)

From: Csepp <[email-masked]>
Date: Sun, 06 Aug 2023 12:10:54 +0200

Liliana Marie Prikler <[email-masked]> writes:

> tags 64981 moreinfo
> thanks
>
> Am Dienstag, dem 01.08.2023 um 00:06 +0200 schrieb Csepp:
>> for example:
>> $ transmission-gtk
>> Couldn't open libGLESv2.so.2: libGLESv2.so.2
>> 
>> I get the same error with Tuba.  It likely affects other
>> applications.
> I assume you are not using the gnome-desktop-service, are you?

Yup, I'm using Sway without a display manager.  Gnome was a memory hog.

> Neither transmission-gtk nor GTK4 appears to actually link against
> libGLES, so there's probably something arcane going on already.  Have
> you tried the usual debugging tools (GDB, strace)?
>
> Cheers 

Not yet, but I did now:

```
$ strace -e %file transmission-gtk |& grep libGL                                                :(
openat(AT_FDCWD, "/gnu/store/gsjczqir1wbz8p770zndrpw4rnppmxi3-glibc-2.35/lib/libGLX.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
openat(AT_FDCWD, "/gnu/store/gsjczqir1wbz8p770zndrpw4rnppmxi3-glibc-2.35/lib/libGLX.so.1", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
openat(AT_FDCWD, "/gnu/store/zisvdry6856i6z4iai62ff6l3anbdld8-mesa-23.0.3/lib/libGL.so.1", O_RDONLY|O_CLOEXEC) = 29
openat(AT_FDCWD, "/gnu/store/gsjczqir1wbz8p770zndrpw4rnppmxi3-glibc-2.35/lib/libGLESv2.so.2", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
openat(AT_FDCWD, "/gnu/store/gsjczqir1wbz8p770zndrpw4rnppmxi3-glibc-2.35/lib/libGLESv2.so.2", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
Couldn't open libGLESv2.so.2: libGLESv2.so.2: cannot open shared object file: No such file or directory
```

So it's not looking for it in Mesa, which is odd, isn't that where it's
supposed to be?  According to guix locate libGLESv2.so.2, it should be
in one of the Mesa packages.

Thanks for helping me look into this!  Gonna look a bit more into what's
going on...